Skip to content

Delete Custom Activity Type Attributes

POST /rest/v1/activities/external/type/{apiName}/attributes/delete.json

Permissions Read-Write Activity Metadata

Build a request and mock the response

Method: POST
Path: /rest/v1/activities/external/type/{apiName}/attributes/delete.json
Tag: Activities
Operation ID: deleteCustomActivityTypeAttributesUsingPOST

Deletes the target attributes from the custom activity type draft. The apiName of each attribute is the primary key for the update. Required Permissions: Read-Write Activity Metadata

Formats

  • Request: application/json
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
apiName string Yes API Name of the activity type

Request body

Name: customActivityTypeAttributeRequest
Required: Yes
Schema: model: CustomActivityTypeAttributeRequest

customActivityTypeAttributeRequest

Generated example

{
  "attributes": [
    {
      "apiName": "Example name",
      "dataType": "string",
      "description": "string",
      "isPrimary": false,
      "name": "Example name"
    }
  ]
}

Referenced models

Example request

POST {{base_url}}/rest/v1/activities/external/type/{{apiName}}/attributes/delete.json
Content-Type: application/json
Accept: application/json

{
  "attributes": [
    {
      "apiName": "Example name",
      "dataType": "string",
      "description": "string",
      "isPrimary": false,
      "name": "Example name"
    }
  ]
}

Responses

200 — OK

Schema: model: ResponseOfCustomActivityType

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "moreResult": false,
  "nextPageToken": "example-token",
  "requestId": "123",
  "result": [
    {
      "apiName": "Example name",
      "attributes": [
        {
          "apiName": "Example name",
          "dataType": "string",
          "description": "string",
          "isPrimary": false,
          "name": "Example name"
        }
      ],
      "createdAt": "string",
      "description": "string",
      "filterName": "Example name",
      "id": 123,
      "name": "Example name",
      "primaryAttribute": {
        "apiName": "Example name",
        "dataType": "string",
        "description": "string",
        "isPrimary": false,
        "name": "Example name"
      },
      "status": "draft",
      "triggerName": "Example name",
      "updatedAt": "string"
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Source

Generated from swagger-mapi.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.